//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System.Collections;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;

using CommunityServer.Components;

namespace CommunityServer.Discussions.Controls 
{

    public class ForumModerators : Label 
    {

        CSContext csContext = CSContext.Current;

        protected override void CreateChildControls() 
        {
            // List roles that can moderate this forum
            ArrayList roles = Moderate.GetForumModeratorRoles ( csContext.SectionID );


            if (roles.Count <= 0)
                return;

            Label label = new Label();
            label.Text = ResourceManager.GetString("ViewThreads_Moderators");
            
            Controls.Add(label);

            for (int i = 0; i < roles.Count; i++) 
            {
                HtmlAnchor anchor = new HtmlAnchor();
                anchor.InnerText = ((Role) roles[i]).Name;
                anchor.HRef = Globals.GetSiteUrls().UserRoles( ((Role) roles[i]).Name );

                Controls.Add(anchor);

                if (i + 1 != roles.Count)
                    Controls.Add(new LiteralControl(", "));
            }


        }

    }
}


